%global momorel 2

Summary:	MySQL driver for the Perl5 Database Interface (DBI)
Name:		perl-DBD-MySQL
Version:	4.012
Release:	%{momorel}m%{?dist}
License:	GPL or Artistic
Group:		Applications/Databases
URL:		http://www.cpan.org/modules/by-module/DBD/
Source0:	http://www.cpan.org/modules/by-module/DBD/DBD-mysql-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl-DBI >= 1.607
BuildRequires:	mysql, mysql-devel, zlib-devel
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# for automatic upgrade
Provides:	perl-DBD-mysql = %{version}-%{release}
Obsoletes:	perl-DBD-mysql

%description 
An implementation of DBI for MySQL for Perl.

%prep
%setup -q -n DBD-mysql-%{version} 
find . -type f -exec chmod -x {} ';'

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make
# make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm %{buildroot}%{perl_vendorarch}/auto/DBD/mysql/.packlist

%files
%defattr(-,root,root)
%doc README ChangeLog TODO
%{_mandir}/man?/*
%{perl_vendorarch}/DBD/mysql
%{perl_vendorarch}/DBD/mysql.pm
%{perl_vendorarch}/auto/DBD/mysql
%{perl_vendorarch}/Bundle/DBD/mysql.pm

%changelog
* Mon Jun 29 2009 Masahiro Takahata <takahata@momonga-linux.org>
- (4.012-2m)
- rename perl-DBD-mysql to perl-DBD-MySQL

* Fri Jun 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.012-1m)
- update to 4.012

* Sat Apr 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.011-1m)
- update to 4.011

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.010-4m)
- rebuild against openssl-0.9.8k

* Thu Mar 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.010-3m)
- rebuild against mysql-5.1.32

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.010-2m)
- rebuild against rpm-4.6

* Sun Oct 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.010-1m)
- update to 4.010

* Thu Oct 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.009-1m)
- update to 4.009

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.008-1m)
- update to 4.008

* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.007-2m)
- rebuild against openssl-0.9.8h-1m

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.007-1m)
- update to 4.007

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.006-2m)
- rebuild against gcc43

* Thu Dec 27 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.006-1m)
- update to 4.006

* Sat Jun  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.005-1m)
- update to 4.005

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (4.004-3m)
- use vendor

* Fri Apr  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.004-2m)
- fix Provides and Obsoletes for upgrading from STABLE_3

* Sat Mar 24 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.004-1m)
- update t0 4.004

* Sun Mar  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.003-1m)
- update to 4.003

* Sat Mar  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.002-1m)
- update to 4.002

* Mon Jan  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.001-1m)
- update to 4.001

* Wed Jan  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.00-1m)
- update to 4.00

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0008-1m)
- update to 3.0008

* Tue Oct 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0007-2m)
- add Provides and Obsoletes for automatic upgrade

* Mon Oct 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0007-1m)
- rename perl-DBD-MySQL to perl-DBD-mysql

* Sun Sep 17 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.0007-1m)
- update to 3.0007

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.0006-1m)
- update to 3.0006

* Fri Jun  2 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.0004-1m)
- update to 3.0004

* Tue May 17 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (3.0003-2m)
- rebuild against mysql 5.0.22-1m

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.0003-1m)
- update to 3.0003

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.0002-3m)
- built against perl-5.8.8

* Mon Sep  5 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.0002-2m)
- rebuild against for MySQL-4.1.14

* Sun Jul 31 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.0002-1m)
- update to 3.0002
  Release of prepared statement code
- revised URL

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.9008-1m)
- version up to 2.9008
- built against perl-5.8.7

* Mon May 16 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.9006-1m)
- update to 2.9006
- add TODO to %%doc

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.9003-5m)
- rebuild against perl-5.8.5
- rebuild against perl-DBI 1.38-4m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.9003-4m)
- remove Epoch from BuildPrereq

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.9003-3m)
- rebuild against perl-5.8.1

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.9003-2m)
- rebuild against perl-5.8.1

* Fri Oct 31 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.9003-1m)
- update to 2.9003
- fix License: preamble

* Tue Sep  9 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.9002-1m)
- update to 2.9002
- use %%{momorel}, %%NoSource
- remove /usr/bin/dbimon
- fix %%files

* Wed Sep  3 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.2219-7m)
- rebuild against for MySQL-4.0.14-1m

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2219-6m)
- rebuild against perl-5.8.0

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2219-5m)
- fix %files

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2219-4m)
- fix man install path

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2219-3m)
- remove BuildPreReq: gcc2.95.3

* Thu Feb 28 2002 Shingo Akagaki <dora@kondara.org>
- (1.2219-2k)
- version 1.2219

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (1.2216-6k)
- rebuild against for perl-5.6.1

* Mon Sep 17 2001 Toru Hoshina <toru@df-usa.com>
- (1.2216-4k)
- no more fixpack...

* Sat Sep 15 2001 Toru Hoshina <t@kondara.org>
- (1.2216-2k)
- merge from rawhide. based on 1.2216-4.
